Skip to main content

Update a Client's customer score

The client must belong to the company, and is being matched using email and/or phone. The fields that can be updated are customer_score_name, customer_score_value, customer_score_maximum, customer_score_submitted_at

POST
/api/partners/v1/company/:company_id/customer-score/

Request

Example requestPOSTapplication/json
curl -X POST \
    -H "Content-Type: application/json" \
    -H "Authorization: Bearer YOUR_API_KEY" \
    -d '{
      "score_name": "Customer Satisfaction",
      "score_value": 0,
      "maximum_score": 0,
      "submitted_at": "2022-06-05T00:34:00",
      "email": "test@example.com",
      "phone": "567-567-5678"
    }' \
    "https://api.funnelleasing.com/api/partners/v1/company/:company_id/customer-score/"

Response

Example responseJSON200 · application/json
{
  "id": 0,
  "customer_score_name": "string",
  "customer_score_value": 0,
  "customer_score_maximum": 0,
  "customer_score_submitted_at": "string"
}